[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GradientFill

Fills rectangle or triangle areas with gradient colors.

## Declaration

Source position: winapih.inc line 164

`public function TWidgetSet.GradientFill(`
`DC: HDC;`
`Vertices: PTriVertex;`
`NumVertices: LongInt;`
`Meshes: Pointer;`
`NumMeshes: LongInt;`
`Mode: LongInt`
`):Boolean; virtual;`

## Arguments

`DC` |  | The device context.
`Mode` |  | E.g. GRADIENT_FILL_RECT_H.

## Function result

False on failure.